Subject: bug#8058: closed (Re: bug#8058: 24.0.50; NTEmacs LControl+RAlt chord ignored)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Feb 2011 17:54:02 +0000

Your bug report

#8058: 24.0.50; NTEmacs LControl+RAlt chord ignored

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8058: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8058
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8058: 24.0.50; NTEmacs LControl+RAlt chord ignored
From: Eli Zaretskii <[email-masked]>
To: Le Wang <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Feb 2011 20:02:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 17 Feb 2011 00:25:24 +0800
> From: Le Wang <[email-masked]>
> Cc: 
> 
> 1. runemacs -Q
> 2. C-hk <LControl>+<RAlt>+x
> 
> notice nothing happens.  Key chord does not register.  I've seen this with
> 23.2.1 and CVS Emacs.  Is this by design?

Yes.  <LControl>+<RAlt> produces the AltGr key, which is needed on
non-US English keyboards to produce some non-ASCII characters.  If you
don't want Emacs to recognize AltGr, set the variable
w32-recognize-altgr to a nil value.  This variable is documented in
the Emacs manual, btw.

I'm closing the bug report.

Subject: 24.0.50; NTEmacs LControl+RAlt chord ignored
From: Le Wang <[email-masked]>
To: [email-masked]
Date: Thu, 17 Feb 2011 00:25:24 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Repro:

1. runemacs -Q
2. C-hk <LControl>+<RAlt>+x

notice nothing happens.  Key chord does not register.  I've seen this with
23.2.1 and CVS Emacs.  Is this by design?

-- 
Le